Lorene::Coord Class Reference
Mapping grid -> physical space (spherical coordinates)

Active physical coordinates and mapping derivatives. More...

`#include <coord.h>`

## Public Member Functions

| Coord ()
| Default constructor.
| Coord (const Map *mp, Mtbl *(*construct)(const Map *))
| Constructor from a mapping and a method.
| ~Coord ()
| Destructor.
void | set (const Map *mp, Mtbl *(*construct)(const Map *))
| Semi-constructor from a mapping and a method.
void | fait () const
| Computes, at each point of the grid, the value of the coordinate or mapping derivative represented by the `Coord` .
void | del_t () const
| Logical destructor (deletes the `Mtbl` member `*c` ).

## Public Attributes

const Map * | mp
| Mapping on which the `Coord` is defined.
Mtbl *(* | met_fait )(const Map *)
| Function to compute the coordinate.
Mtbl * | c
| The coordinate values at each grid point.

## Private Member Functions

| Coord (const Coord &)
| Copy constructor (private and not implemented to make `Coord` a non-copyable class).
void | operator= (const Coord &)
| Assignement operator (private and not implemented to make `Coord` a non-copyable class).

## Friends

ostream & | operator<< (ostream &o, const Coord &ci)
| Display.

## Detailed Description

Active physical coordinates and mapping derivatives.

()

Definition at line 90 of file coord.h.

## Constructor & Destructor Documentation

## Coord() [1/3]

Lorene::Coord::Coord | ( |  | ) |

Default constructor.

Definition at line 80 of file coord.C.

References c, met_fait, and mp.

## Coord() [2/3]

Lorene::Coord::Coord | ( | const Map * | mp,
|  | Mtbl *(* | construct )(const Map *) )

Constructor from a mapping and a method.

Parameters

  mp | [input] Mapping on which the Coord is defined
  construct | [input] Method to construct the `Coord` , i.e. to initialize the `Mtbl` which contains the value of the coordinate or mapping derivative represented by the `Coord`

Definition at line 83 of file coord.C.

References c, Lorene::Map(), met_fait, and mp.

## Coord() [3/3]

Lorene::Coord::Coord | ( | const Coord & |  | ) |

private

Copy constructor (private and not implemented to make `Coord` a non-copyable class).

References Coord().

## ~Coord()

Lorene::Coord::~Coord | ( |  | ) |

Destructor.

Definition at line 92 of file coord.C.

References c.

## Member Function Documentation

## del_t()

void Lorene::Coord::del_t | ( |  | ) | const

Logical destructor (deletes the `Mtbl` member `*c` ).

Definition at line 125 of file coord.C.

References c.

## fait()

void Lorene::Coord::fait | ( |  | ) | const

Computes, at each point of the grid, the value of the coordinate or mapping derivative represented by the `Coord` .

The result is stored in the `Mtbl` member `*c` .

Definition at line 116 of file coord.C.

References c, met_fait, and mp.

## operator=()

void Lorene::Coord::operator= | ( | const Coord & |  | ) |

private

Assignement operator (private and not implemented to make `Coord` a non-copyable class).

References Coord(), Lorene::Map(), and mp.

## set()

void Lorene::Coord::set | ( | const Map * | mp,
|  | Mtbl *(* | construct )(const Map *) )

Semi-constructor from a mapping and a method.

This function is intended to complete the construction started by the default constructor.

Parameters

  mp | [input] Mapping on which the Coord is defined
  construct | [input] Method to construct the `Coord` , i.e. to initialize the `Mtbl` which contains the value of the coordinate or mapping derivative represented by the `Coord`

Definition at line 134 of file coord.C.

References Lorene::Map(), met_fait, and mp.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | o,
|  | const Coord & | ci )

friend

Display.

Definition at line 101 of file coord.C.

References c, Coord(), fait(), and operator<<.

## Member Data Documentation

## c

Mtbl* Lorene::Coord::c

mutable

The coordinate values at each grid point.

Definition at line 97 of file coord.h.

## met_fait

Mtbl *(* Lorene::Coord::met_fait) (const Map *)

Function to compute the coordinate.

Definition at line 96 of file coord.h.

## mp

const Map* Lorene::Coord::mp

Mapping on which the `Coord` is defined.

Definition at line 95 of file coord.h.

The documentation for this class was generated from the following files:

- coord.h
- coord.C